aboutsummaryrefslogtreecommitdiffstats
path: root/jjb/common/OLD
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/common/OLD')
-rw-r--r--jjb/common/OLD/include-agl-app-run-test-short.sh53
-rw-r--r--jjb/common/OLD/include-agl-bitbake-image-fake.sh37
-rw-r--r--jjb/common/OLD/include-agl-local-conf-isafw.sh10
-rw-r--r--jjb/common/OLD/include-agl-local-conf-rpi3-imagetype.sh5
4 files changed, 105 insertions, 0 deletions
diff --git a/jjb/common/OLD/include-agl-app-run-test-short.sh b/jjb/common/OLD/include-agl-app-run-test-short.sh
new file mode 100644
index 00000000..e1bd6998
--- /dev/null
+++ b/jjb/common/OLD/include-agl-app-run-test-short.sh
@@ -0,0 +1,53 @@
+# (c) 2019 Corentin Labbe clabbe(at)baylibre.com
+# License GPLv2
+# Copied from jjb/common/include-agl-run-test-short.sh
+
+################################################################################
+## Run SHORT CI test
+################################################################################
+
+#set -x
+
+cd $REPODIR
+
+BUILD_VERSION="AGL-app-gerrit-$GERRIT_CHANGE_NUMBER-$GERRIT_PATCHSET_NUMBER"
+[[ -e output/repo-manifest-r.txt.sha1 ]] && BUILD_VERSION+="-$(cat output/repo-manifest-r.txt.sha1)"
+
+echo "# LAVA lab target: ${LAVA_LAB} #"
+# releng-scripts depends on jinja2 >= 2.9
+echo "## Check version of python-jinja2: "
+pip show jinja2
+CREATE_ARGS=""
+case $TARGETARCH in
+arm)
+CREATE_ARGS+="--machine qemuarm "
+;;
+x86-64)
+CREATE_ARGS+="--machine qemux86-64 "
+;;
+aarch64)
+CREATE_ARGS+="--machine qemuarm64 "
+;;
+*)
+ echo "ERROR: unknown architecture $TARGETARCH"
+ exit 1
+;;
+esac
+CREATE_ARGS+="--build-type snapshot --branch master --version latest "
+[[ ! -z $GERRIT_CHANGE_NUMBER ]] && CREATE_ARGS+="--app-changeid $GERRIT_CHANGE_NUMBER "
+[[ ! -z $GERRIT_PATCHSET_NUMBER ]] && CREATE_ARGS+="--app-patchset $GERRIT_PATCHSET_NUMBER "
+[[ ! -z $AGLBRANCH ]] && CREATE_ARGS+="--app-branch $AGLBRANCH "
+CREATE_ARGS+="--name AGL-gerrit-$GERRIT_CHANGE_NUMBER-$GERRIT_PATCHSET_NUMBER "
+CREATE_ARGS+="--build-version $BUILD_VERSION "
+CREATE_ARGS+="--callback-from ${LAVA_LAB} "
+CREATE_ARGS+="--test application-lifecycle pyagl"
+
+echo "DEBUG: call create-jobs.py with $CREATE_ARGS"
+$RELENG/utils/create-jobs.py ${CREATE_ARGS} > testjob.yaml
+
+if [ $? != 0 ]; then
+ echo "ERROR: Machine ${releng_device}: LAVA job creation failed."
+ exit 0
+else
+ cat testjob.yaml
+fi
diff --git a/jjb/common/OLD/include-agl-bitbake-image-fake.sh b/jjb/common/OLD/include-agl-bitbake-image-fake.sh
new file mode 100644
index 00000000..7cd81c12
--- /dev/null
+++ b/jjb/common/OLD/include-agl-bitbake-image-fake.sh
@@ -0,0 +1,37 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## bitbake the image
+################################################################################
+
+# finally, build the agl-demo-platform (we retry to catch the tar-native bug)
+#( ( bitbake $TARGETIMAGE ) || ( echo '## Failed once, retry .. ##' ; sync ; sleep 2 ; bitbake $TARGETIMAGE ) ) || ( echo '## Failed again, bail out ...' ; exit 1 )
+
+if [ x"${MACHINE}" = x"raspberrypi3" ] ; then
+export DEVICE_TYPE=raspberrypi3-uboot
+export DEVICE_NAME=raspberrypi3
+export DEVICE_DTB=uImage-bcm2710-rpi-3-b.dtb
+export DEVICE_KERNEL=uImage
+export DEVICE_INITRAMFS=initramfs-netboot-image-raspberrypi3.ext4.gz.u-boot
+export DEVICE_NBDROOT=agl-demo-platform-raspberrypi3.ext4
+else
+ echo "This fake build script is for raspberrypi3 only."
+ exit 1
+fi
+
+
+mkdir -p tmp/deploy/images/${MACHINE}/
+
+pushd tmp/deploy/images/${MACHINE}/
+
+for i in DEVICE_DTB DEVICE_KERNEL DEVICE_INITRAMFS DEVICE_NBDROOT ; do
+ eval curl -o "$(echo "$"${i})" "http://download.automotivelinux.org/AGL/snapshots/master/2017-01-08-b241/${MACHINE}/deploy/images/${MACHINE}/$(echo "$"${i})"
+ ls -alh
+done
+
+ls -alh
+
+popd
+
+du -hs tmp/deploy/*
diff --git a/jjb/common/OLD/include-agl-local-conf-isafw.sh b/jjb/common/OLD/include-agl-local-conf-isafw.sh
new file mode 100644
index 00000000..5da94cd6
--- /dev/null
+++ b/jjb/common/OLD/include-agl-local-conf-isafw.sh
@@ -0,0 +1,10 @@
+# (c) 2016 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+################################################################################
+## Add isafw report and enable
+################################################################################
+
+# meta-security-isafw
+echo "BBLAYERS += \" $(pwd)/../meta-security-isafw \" " >> conf/bblayers.conf
+echo "INHERIT += \"isafw\" " >> conf/local.conf
diff --git a/jjb/common/OLD/include-agl-local-conf-rpi3-imagetype.sh b/jjb/common/OLD/include-agl-local-conf-rpi3-imagetype.sh
new file mode 100644
index 00000000..3d4e3cb5
--- /dev/null
+++ b/jjb/common/OLD/include-agl-local-conf-rpi3-imagetype.sh
@@ -0,0 +1,5 @@
+# (c) 2017 Jan-Simon Moeller dl9pf(at)gmx.de
+# License GPLv2
+
+echo "ENFORCE RPI3 to use uImage (for CI)"
+echo 'KERNEL_IMAGETYPE_raspberrypi3 := "uImage"' >> conf/local.conf \ No newline at end of file